明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 100|回复: 2

[提问] 如何结束循环(通过enter键或其他按键)

[复制链接]
发表于 2019-9-10 08:29 | 显示全部楼层 |阅读模式
lisp编写某个while循环的时候,想通过enter键跳出循环,请问有什么方法吗?

比如我用while循环进行多个对象的选择,想通过enter键跳出选择对象,请问如何实现?
发表于 2019-9-10 10:24 | 显示全部楼层
grread函数
给你个参考程序
[code="lisp] (defun c:test()
   (setvar "cmdecho" 0)
   (setq en (car (entsel "\n选取一圆: ")))
   (setq cen1 (getpoint "\n切圆圆心: "))
   (princ "\n按选键盘任意键可转动切圆,[Enter]结束...")
   (setq en2 (entlast))
   (setq k 32)
   (while (= k 32)
      (princ "\n按空格键继续,其它键结束")
          (princ)
      (command "rotate" en2 "" cen1 10)
      (setq k (cadr (grread)))
   )
   (prin1)
)[/code]

点评

万分感谢,很好用,但是不能解决一个问题,就是在getpoint的同时可以enter退出。如果能就完美了  发表于 2019-9-10 16:01
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2019-9-20 05:08 , Processed in 0.257846 second(s), 31 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表